Vla-put-activespace

提供: GizmoLabs
2013年10月31日 (木) 13:33時点におけるGizmon (トーク | 投稿記録)による版 (ページの作成:「{{AutoLISP}} ; 構文 : (vla-put-activespace ''vla-object'' ''ActiveSpace'') ; 機能 : アクティブな空間を取得する。 ; 引数 :* vla-object … ドキ...」)
(差分) ← 古い版 | 最新版 (差分) | 新しい版 → (差分)
移動先: 案内検索
構文
(vla-put-activespace vla-object ActiveSpace)


機能
アクティブな空間を取得する。


引数
  • vla-object … ドキュメントのVLAオブジェクト
  • ActiveSpace … acActiveSpace 列挙型
  • acModelSpace 1
  • acPaperSpace 0


戻り値
0 or 1。1=モデル、0=レイアウト


サンプル
(setq *ActDoc* (vla-get-ActiveDocument (vlax-get-Acad-Object)))
(vla-put-activespace *ActDoc* acModelSpace)
; (vla-put-activespace *ActDoc* 1)

; 素直に (getvar "TILEMODE") 使っとけばいいと思う。


関連事項